## org.eclipse.datatools.modelbase.sql.schema.provider
Class SQLSchemaItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.datatools.modelbase.sql.schema.util.SQLSchemaAdapterFactory
              org.eclipse.datatools.modelbase.sql.schema.provider.SQLSchemaItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier

    public class SQLSchemaItemProviderAdapterFactory

extends SQLSchemaAdapterFactory
implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Constructor Summary
`SQLSchemaItemProviderAdapterFactory()` This constructs an instance.

Method Summary
`org.eclipse.emf.common.notify.Adapter` `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
`java.lang.Object` `adapt(java.lang.Object object, java.lang.Object type)`
`void` `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener.
`org.eclipse.emf.common.notify.Adapter` `createCatalogAdapter()` This creates an adapter for a `Catalog`.
`org.eclipse.emf.common.notify.Adapter` `createCommentAdapter()` This creates an adapter for a `Comment`.
`org.eclipse.emf.common.notify.Adapter` `createDatabaseAdapter()` This creates an adapter for a `Database`.
`org.eclipse.emf.common.notify.Adapter` `createDependencyAdapter()` This creates an adapter for a `Dependency`.
`org.eclipse.emf.common.notify.Adapter` `createEventAdapter()` This creates an adapter for a `Event`.
`org.eclipse.emf.common.notify.Adapter` `createIdentitySpecifierAdapter()` This creates an adapter for a `IdentitySpecifier`.
`org.eclipse.emf.common.notify.Adapter` `createSchemaAdapter()` This creates an adapter for a `Schema`.
`org.eclipse.emf.common.notify.Adapter` `createSequenceAdapter()` This creates an adapter for a `Sequence`.
`void` `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.util.SQLSchemaAdapterFactory
`createAdapter, createEModelElementAdapter, createENamedElementAdapter, createEObjectAdapter, createObjectExtensionAdapter, createSQLObjectAdapter, createTypedElementAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Constructor Detail

### SQLSchemaItemProviderAdapterFactory

    public SQLSchemaItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createIdentitySpecifierAdapter

    public org.eclipse.emf.common.notify.Adapter createIdentitySpecifierAdapter()

  This creates an adapter for a `IdentitySpecifier`.

  Overrides:
    `createIdentitySpecifierAdapter` in class `SQLSchemaAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `IdentitySpecifier`

### createDependencyAdapter

    public org.eclipse.emf.common.notify.Adapter createDependencyAdapter()

  This creates an adapter for a `Dependency`.

  Overrides:
    `createDependencyAdapter` in class `SQLSchemaAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Dependency`

### createSchemaAdapter

    public org.eclipse.emf.common.notify.Adapter createSchemaAdapter()

  This creates an adapter for a `Schema`.

  Overrides:
    `createSchemaAdapter` in class `SQLSchemaAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Schema`

### createSequenceAdapter

    public org.eclipse.emf.common.notify.Adapter createSequenceAdapter()

  This creates an adapter for a `Sequence`.

  Overrides:
    `createSequenceAdapter` in class `SQLSchemaAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Sequence`

### createDatabaseAdapter

    public org.eclipse.emf.common.notify.Adapter createDatabaseAdapter()

  This creates an adapter for a `Database`.

  Overrides:
    `createDatabaseAdapter` in class `SQLSchemaAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Database`

### createEventAdapter

    public org.eclipse.emf.common.notify.Adapter createEventAdapter()

  This creates an adapter for a `Event`.

  Overrides:
    `createEventAdapter` in class `SQLSchemaAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Event`

### createCommentAdapter

    public org.eclipse.emf.common.notify.Adapter createCommentAdapter()

  This creates an adapter for a `Comment`.

  Overrides:
    `createCommentAdapter` in class `SQLSchemaAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Comment`

### createCatalogAdapter

    public org.eclipse.emf.common.notify.Adapter createCatalogAdapter()

  This creates an adapter for a `Catalog`.

  Overrides:
    `createCatalogAdapter` in class `SQLSchemaAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Catalog`

### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### setParentAdapterFactory

    public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `SQLSchemaAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### adapt

    public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                       java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### addListener

    public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### removeListener

    public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### fireNotifyChanged

    public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`